> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Symbols

> Get a list of all available trading pair symbols using the public V1 API.

export const RestRateLimit = ({requests, period = '10 seconds', scope}) => {
  const formatted = requests.toLocaleString();
  return <p>
      Rate limit: <code>{formatted}</code> requests per {period}
      {scope && <> (applies to all <code>{scope}</code> endpoints)</>}.
      Exceeding this limit returns HTTP <code>429</code>.
      See <a href="/api-reference/rate-limits">Rate limits</a> for details and
      best practices.
    </p>;
};

export const RelatedResources = ({children}) => {
  const ref = useRef(null);
  const [visible, setVisible] = useState(false);
  useEffect(() => {
    if (!ref.current) return;
    const el = ref.current;
    if (el.parentElement) {
      el.parentElement.appendChild(el);
    }
    setVisible(true);
  }, []);
  return <div ref={ref} className="related-resources" style={{
    marginTop: "2.5rem",
    paddingTop: "1.5rem",
    borderTop: "1px solid var(--border-color, #e5e7eb)",
    opacity: visible ? 1 : 0,
    transition: "opacity 0.15s ease-in"
  }}>
      <h2 style={{
    marginTop: 0
  }}>Related resources</h2>
      {children}
    </div>;
};

## Rate limit

<RestRateLimit requests={1000} period="10 seconds" scope="/api/v1/*" />

<RelatedResources>
  * [Market info](/api-reference/market-data/market-info) — detailed market configuration including trading rules, fees, and precision (V4).
</RelatedResources>


## OpenAPI

````yaml openapi/public/http-v1.yaml GET /api/v1/public/symbols
openapi: 3.0.3
info:
  title: Public HTTP API V1
  description: |
    WhiteBIT Public HTTP API V1 for market data and trading information.
    Base URL: https://whitebit.com
    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    Use HTTP method GET for API requests.
    If an endpoint requires parameters, send them as query string.
    The API caches responses for a specified duration per endpoint.

    <Warning>
    Rate limit: 1000 requests/10 sec for all endpoints.
    </Warning>
  version: 1.0.0
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security: []
tags:
  - name: Public API V1
    description: Public endpoints for market data and trading information
paths:
  /api/v1/public/symbols:
    get:
      tags:
        - Public API V1
      summary: Symbols
      description: >
        The endpoint retrieves information about all available markets for
        trading.


        <Note>

        The API caches the response for: 1 second

        </Note>


        <Warning>

        Rate limit 1000 requests/10 sec.

        </Warning>
      parameters: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    nullable: true
                    example: null
                  result:
                    type: array
                    items:
                      type: string
                      description: Name of market pair
                    example:
                      - BTC_USDT
                      - ETH_BTC
                      - ETH_USDT
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorV1'
components:
  schemas:
    ErrorV1:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
          description: Error message
          example: ERROR MESSAGE
        params:
          type: array
          items:
            type: string
          example: []

````